aboutsummaryrefslogtreecommitdiff
path: root/xorg-server/xkeyboard-config/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'xorg-server/xkeyboard-config/autogen.sh')
-rw-r--r--xorg-server/xkeyboard-config/autogen.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/xorg-server/xkeyboard-config/autogen.sh b/xorg-server/xkeyboard-config/autogen.sh
new file mode 100644
index 000000000..f9cd42b58
--- /dev/null
+++ b/xorg-server/xkeyboard-config/autogen.sh
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+intltoolize
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"